Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class SetPropertyCommand

Direct Known Subclasses:
  SetArrayPropertyCommand

public class SetPropertyCommand
implements TagCommand

todo comments

Field Summary
`final static int` | `DEFAULT_IDENT`
`static String` | `endl`

Constructor Summary
`SetPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer)`
`SetPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)`
`SetPropertyCommand(String tag, PropertyDescriptor descriptor, TagEntryTransformer transformer)`
`SetPropertyCommand(String tag, PropertyDescriptor descriptor, TagEntryTransformer transformer, int indent, boolean duplicateTags)`
`SetPropertyCommand(String tag, Class bean, Class type, String readMethod, String writeMethod, TagEntryTransformer transformer)`
`SetPropertyCommand(String tag, Class bean, Class type, String readMethod, String writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)`

Method Summary
`void` | `addValue(String appendValue)`
`void` | `complete(String tag)`
`int` | `getIndent()`
`String` | `getTag()`
`String` | `getTaggedValue()`
`String` | `getTaggedValue(String value)`
`void` | `setIndent(int indent)`
`void` | `start(String tag)`

Field Detail

### DEFAULT_IDENT

    public final static int DEFAULT_IDENT

### endl

    public static String endl

Constructor Detail

### SetPropertyCommand

    public SetPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer)

### SetPropertyCommand

    public SetPropertyCommand(String tag, Class type, Method readMethod, Method writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)

### SetPropertyCommand

    public SetPropertyCommand(String tag, PropertyDescriptor descriptor, TagEntryTransformer transformer)

### SetPropertyCommand

    public SetPropertyCommand(String tag, PropertyDescriptor descriptor, TagEntryTransformer transformer, int indent, boolean duplicateTags)

### SetPropertyCommand

    public SetPropertyCommand(String tag, Class bean, Class type, String readMethod, String writeMethod, TagEntryTransformer transformer)

### SetPropertyCommand

    public SetPropertyCommand(String tag, Class bean, Class type, String readMethod, String writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)

Method Detail

### addValue

    public void addValue(String appendValue)

### complete

    public void complete(String tag)

### getIndent

    public int getIndent()

### getTag

    public String getTag()

### getTaggedValue

    public String getTaggedValue()

### getTaggedValue

    public String getTaggedValue(String value)

### setIndent

    public void setIndent(int indent)

### start

    public void start(String tag)

Association Links

to Class org.apache.log4j.Category

to Class java.lang.String

to Class java.lang.String

to Class java.lang.Class

to Class java.lang.reflect.Method

to Class java.lang.reflect.Method

to Class ru.biosoft.access.support.TagEntryTransformer

to Class java.lang.StringBuffer

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM